<?php

/**
 * DAOFactory
 * @author: http://phpdao.com
 * @date: ${date}
 */
class DAOFactory{
	
	/**
	 * @return TblAdminDAO
	 */
	public static function getTblAdminDAO(){
		return new TblAdminMySqlExtDAO();
	}

	/**
	 * @return TblDatabaseListDAO
	 */
	public static function getTblDatabaseListDAO(){
		return new TblDatabaseListMySqlExtDAO();
	}

	/**
	 * @return TblDbVersionDAO
	 */
	public static function getTblDbVersionDAO(){
		return new TblDbVersionMySqlExtDAO();
	}

	/**
	 * @return TblLogsDAO
	 */
	public static function getTblLogsDAO(){
		return new TblLogsMySqlExtDAO();
	}

	public static function getTblUpdateDescriptionDAO(){
		return new TblUpdateDescriptionMySqlExtDAO();
	}

}
?>